NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::SketchAutoConstrainBuilder Class Reference

Represents a NXOpen::SketchAutoConstrainBuilder
To create a new instance of this class, use NXOpen::SketchCollection::CreateAutoConstrainBuilder
Default values. More...

Inheritance diagram for NXOpen::SketchAutoConstrainBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

double AngleTolerance ()
 Returns the angle tolerance
Created in NX5.0.0. More...
 
bool ApplyRemoteConstraints ()
 Returns the apply remote constraints
Created in NX5.0.0. More...
 
void ClearAllConstraints ()
 Clear all of the indivivual constraints (turn toggle to off for each one)
Created in NX5.0.0. More...
 
bool Coincident ()
 Returns the coincident
Created in NX5.0.0. More...
 
bool Collinear ()
 Returns the collinear
Created in NX5.0.0. More...
 
bool Concentric ()
 Returns the concentric
Created in NX5.0.0. More...
 
NXOpen::SelectObjectListCurveList ()
 Returns the selected curve list. More...
 
double DistanceTolerance ()
 Returns the distance tolerance
Created in NX5.0.0. More...
 
bool EqualLength ()
 Returns the equal length
Created in NX5.0.0. More...
 
bool EqualRadius ()
 Returns the equal radius
Created in NX5.0.0. More...
 
bool Horizontal ()
 Returns the horizontal
Created in NX5.0.0. More...
 
bool Parallel ()
 Returns the parallel
Created in NX5.0.0. More...
 
bool Perpendicular ()
 Returns the perpendicular
Created in NX5.0.0. More...
 
bool PointOnCurve ()
 Returns the point on curve
Created in NX5.0.0. More...
 
void SetAllConstraints ()
 Set all of the individual constraints (turn toggle to on for each one)
Created in NX5.0.0. More...
 
void SetAngleTolerance (double angleTolerance)
 Sets the angle tolerance
Created in NX5.0.0. More...
 
void SetApplyRemoteConstraints (bool applyRemoteConstraints)
 Sets the apply remote constraints
Created in NX5.0.0. More...
 
void SetCoincident (bool coincident)
 Sets the coincident
Created in NX5.0.0. More...
 
void SetCollinear (bool collinear)
 Sets the collinear
Created in NX5.0.0. More...
 
void SetConcentric (bool concentric)
 Sets the concentric
Created in NX5.0.0. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the distance tolerance
Created in NX5.0.0. More...
 
void SetEqualLength (bool equalLength)
 Sets the equal length
Created in NX5.0.0. More...
 
void SetEqualRadius (bool equalRadius)
 Sets the equal radius
Created in NX5.0.0. More...
 
void SetHorizontal (bool horizontal)
 Sets the horizontal
Created in NX5.0.0. More...
 
void SetParallel (bool parallel)
 Sets the parallel
Created in NX5.0.0. More...
 
void SetPerpendicular (bool perpendicular)
 Sets the perpendicular
Created in NX5.0.0. More...
 
void SetPointOnCurve (bool pointOnCurve)
 Sets the point on curve
Created in NX5.0.0. More...
 
void SetTangent (bool tangent)
 Sets the tangent
Created in NX5.0.0. More...
 
void SetVertical (bool vertical)
 Sets the vertical
Created in NX5.0.0. More...
 
bool Tangent ()
 Returns the tangent
Created in NX5.0.0. More...
 
bool Vertical ()
 Returns the vertical
Created in NX5.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::SketchAutoConstrainBuilder
To create a new instance of this class, use NXOpen::SketchCollection::CreateAutoConstrainBuilder
Default values.

Property Value

Horizontal

True

Parallel

True

Perpendicular

True

Tangent

True

Vertical

True


Created in NX5.0.0.

Member Function Documentation

double NXOpen::SketchAutoConstrainBuilder::AngleTolerance ( )

Returns the angle tolerance
Created in NX5.0.0.



License requirements : None

bool NXOpen::SketchAutoConstrainBuilder::ApplyRemoteConstraints ( )

Returns the apply remote constraints
Created in NX5.0.0.



License requirements : None

void NXOpen::SketchAutoConstrainBuilder::ClearAllConstraints ( )

Clear all of the indivivual constraints (turn toggle to off for each one)
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

bool NXOpen::SketchAutoConstrainBuilder::Coincident ( )

Returns the coincident
Created in NX5.0.0.



License requirements : None

bool NXOpen::SketchAutoConstrainBuilder::Collinear ( )

Returns the collinear
Created in NX5.0.0.



License requirements : None

bool NXOpen::SketchAutoConstrainBuilder::Concentric ( )

Returns the concentric
Created in NX5.0.0.



License requirements : None

NXOpen::SelectObjectList* NXOpen::SketchAutoConstrainBuilder::CurveList ( )

Returns the selected curve list.


Created in NX5.0.0.

License requirements : None

double NXOpen::SketchAutoConstrainBuilder::DistanceTolerance ( )

Returns the distance tolerance
Created in NX5.0.0.



License requirements : None

bool NXOpen::SketchAutoConstrainBuilder::EqualLength ( )

Returns the equal length
Created in NX5.0.0.



License requirements : None

bool NXOpen::SketchAutoConstrainBuilder::EqualRadius ( )

Returns the equal radius
Created in NX5.0.0.



License requirements : None

bool NXOpen::SketchAutoConstrainBuilder::Horizontal ( )

Returns the horizontal
Created in NX5.0.0.



License requirements : None

bool NXOpen::SketchAutoConstrainBuilder::Parallel ( )

Returns the parallel
Created in NX5.0.0.



License requirements : None

bool NXOpen::SketchAutoConstrainBuilder::Perpendicular ( )

Returns the perpendicular
Created in NX5.0.0.



License requirements : None

bool NXOpen::SketchAutoConstrainBuilder::PointOnCurve ( )

Returns the point on curve
Created in NX5.0.0.



License requirements : None

void NXOpen::SketchAutoConstrainBuilder::SetAllConstraints ( )

Set all of the individual constraints (turn toggle to on for each one)
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

void NXOpen::SketchAutoConstrainBuilder::SetAngleTolerance ( double  angleTolerance)

Sets the angle tolerance
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
angleToleranceangletolerance
void NXOpen::SketchAutoConstrainBuilder::SetApplyRemoteConstraints ( bool  applyRemoteConstraints)

Sets the apply remote constraints
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
applyRemoteConstraintsapplyremoteconstraints
void NXOpen::SketchAutoConstrainBuilder::SetCoincident ( bool  coincident)

Sets the coincident
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
coincidentcoincident
void NXOpen::SketchAutoConstrainBuilder::SetCollinear ( bool  collinear)

Sets the collinear
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
collinearcollinear
void NXOpen::SketchAutoConstrainBuilder::SetConcentric ( bool  concentric)

Sets the concentric
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
concentricconcentric
void NXOpen::SketchAutoConstrainBuilder::SetDistanceTolerance ( double  distanceTolerance)

Sets the distance tolerance
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
distanceTolerancedistancetolerance
void NXOpen::SketchAutoConstrainBuilder::SetEqualLength ( bool  equalLength)

Sets the equal length
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
equalLengthequallength
void NXOpen::SketchAutoConstrainBuilder::SetEqualRadius ( bool  equalRadius)

Sets the equal radius
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
equalRadiusequalradius
void NXOpen::SketchAutoConstrainBuilder::SetHorizontal ( bool  horizontal)

Sets the horizontal
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
horizontalhorizontal
void NXOpen::SketchAutoConstrainBuilder::SetParallel ( bool  parallel)

Sets the parallel
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
parallelparallel
void NXOpen::SketchAutoConstrainBuilder::SetPerpendicular ( bool  perpendicular)

Sets the perpendicular
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
perpendicularperpendicular
void NXOpen::SketchAutoConstrainBuilder::SetPointOnCurve ( bool  pointOnCurve)

Sets the point on curve
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
pointOnCurvepointoncurve
void NXOpen::SketchAutoConstrainBuilder::SetTangent ( bool  tangent)

Sets the tangent
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
tangenttangent
void NXOpen::SketchAutoConstrainBuilder::SetVertical ( bool  vertical)

Sets the vertical
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
verticalvertical
bool NXOpen::SketchAutoConstrainBuilder::Tangent ( )

Returns the tangent
Created in NX5.0.0.



License requirements : None

bool NXOpen::SketchAutoConstrainBuilder::Vertical ( )

Returns the vertical
Created in NX5.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.